[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# StringElementSize

Get the character size of a string.

## Declaration

Source position: systemh.inc line 1231

`function StringElementSize(`
`const S: RawByteString`
`):Word; overload; function StringElementSize(`
`const S: UnicodeString`
`):Word; overload;`

## Description

StringCodePage returns the character size of a string (S), regardless of the string type. It accesses the internal structures of the string to retrieve this information. For an empty string, SizeOf(AnsiChar) (normally 1) is returned.

## See also

StringCodePage |  | Get the code page of a string
StringRefCount |  | Get the reference count of a string